## netsurf 1.2

=== Makefile ===
#
# Makefile for NetSurf
#
# Copyright 2007 Daniel Silverstone <dsilvers@netsurf-browser.org>
#
#

# Trivially, invoke as:
#   make
# to build native, or:
#   make TARGET=riscos
# to cross-build for RO.
#
# Tested on unix platforms (building for GTK and cross-compiling for RO) and
# on RO (building for RO).
#
# To clean, invoke as above, with the 'clean' target
#
# To build developer Doxygen generated documentation, invoke as above,
# with the 'docs' target:
#   make docs
#

all: all-program

# Determine host type
# NOTE: Currently, this is broken on RISC OS due to what appear to be bugs
#	in UnixLib's pipe()/dup2() implementations.
#	When you don't have 'uname' available, you will see:
#	  File 'uname' not found
#	but when you do, you will see:
#	  RISC OS
#	In both cases HOST make variable is empty and we recover from that by
#	assuming we're building on RISC OS.
HOST := $(shell uname -s)
ifeq ($(HOST),)
HOST := riscos
$(warning Build platform determination failed but that's a known problem for RISC OS so we're assuming a native RISC OS build.)
endif

ifeq ($(HOST),riscos)
# Build happening on RO platform, default target is RO backend
ifeq ($(TARGET),)
TARGET := riscos
endif
else
# Build happening on non-RO platform, default target is GTK backend
ifeq ($(TARGET),)
TARGET := gtk
endif
endif
SUBTARGET =

ifneq ($(TARGET),riscos)
ifneq ($(TARGET),gtk)
$(error Unknown TARGET "$(TARGET)", should either be "riscos" or "gtk")
endif
endif

Q=@
VQ=@
PERL=perl
MKDIR=mkdir
TOUCH=touch

ifeq ($(TARGET),riscos)
ifeq ($(HOST),riscos)
# Build for RO on RO
GCCSDK_INSTALL_ENV := <NSLibs$$Dir>
CC := gcc
EXEEXT :=
PKG_CONFIG :=
else
# Cross-build for RO (either using GCCSDK 3.4.6 - AOF,
# either using GCCSDK 4 - ELF)
GCCSDK_INSTALL_ENV ?= /home/riscos/env
GCCSDK_INSTALL_CROSSBIN ?= /home/riscos/cross/bin
CC := $(wildcard $(GCCSDK_INSTALL_CROSSBIN)/*gcc)
ifneq (,$(findstring arm-unknown-riscos-gcc,$(CC)))
SUBTARGET := -elf
EXEEXT := ,e1f
ELF2AIF := $(GCCSDK_INSTALL_CROSSBIN)/elf2aif
else
SUBTARGET := -aof
EXEEXT := ,ff8
endif
PKG_CONFIG := $(GCCSDK_INSTALL_ENV)/ro-pkg-config
endif
else
# Building for GTK
PKG_CONFIG := pkg-config
endif

ifeq ($(HOST),riscos)
LDFLAGS := -lxml2 -lz -lm -lcurl -lssl -lcrypto -lmng -ljpeg
else
LDFLAGS := $(shell $(PKG_CONFIG) --libs libxml-2.0 libcurl openssl)
LDFLAGS += -lz -lm -lmng -ljpeg
endif

ifeq ($(TARGET),gtk)
# Building for GTK, we need the GTK flags

GTKCFLAGS := -std=c99 -Dgtk -Dnsgtk \
	-DGTK_DISABLE_DEPRECATED \
	-D_BSD_SOURCE \
	-D_XOPEN_SOURCE=600 \
	-D_POSIX_C_SOURCE=200112L \
	-D_NETBSD_SOURCE \
	$(WARNFLAGS) -I. -g -O \
	$(shell $(PKG_CONFIG) --cflags libglade-2.0 gtk+-2.0 librsvg-2.0) \
	$(shell xml2-config --cflags)

GTKLDFLAGS := $(shell $(PKG_CONFIG) --cflags --libs libglade-2.0 gtk+-2.0 gthread-2.0 gmodule-2.0 librsvg-2.0)
CFLAGS += $(GTKCFLAGS)
LDFLAGS += $(GTKLDFLAGS) $(shell $(PKG_CONFIG) --libs lcms)

ifeq ($(HOST),Windows_NT)
CFLAGS += -U__STRICT_ANSI__
endif

endif

ifeq ($(TARGET),riscos)
CFLAGS += -I. -O $(WARNFLAGS) -Driscos			\
	-std=c99 -D_BSD_SOURCE -D_POSIX_C_SOURCE	\
	-mpoke-function-name

CFLAGS += -I$(GCCSDK_INSTALL_ENV)/include		\
	-I$(GCCSDK_INSTALL_ENV)/include/libxml2		\
	-I$(GCCSDK_INSTALL_ENV)/include/libmng
ifeq ($(HOST),riscos)
CFLAGS += -I<OSLib$$Dir> -mthrowback
endif
ASFLAGS += -xassembler-with-cpp -I. -I$(GCCSDK_INSTALL_ENV)/include
LDFLAGS += -L$(GCCSDK_INSTALL_ENV)/lib -lcares -lrufl -lpencil \
	-lsvgtiny
ifeq ($(HOST),riscos)
LDFLAGS += -LOSLib: -lOSLib32
else
LDFLAGS += -lOSLib32
ifeq ($(SUBTARGET),-elf)
# Go for static builds & AIF binary at the moment:
CFLAGS += -static
LDFLAGS += -static
EXEEXT := ,ff8
endif
endif
endif

OBJROOT := build-$(HOST)-$(TARGET)$(SUBTARGET)

$(OBJROOT)/created:
	$(VQ)echo "   MKDIR: $(OBJROOT)"
	$(Q)$(MKDIR) $(OBJROOT)
	$(Q)$(TOUCH) $(OBJROOT)/created

DEPROOT := $(OBJROOT)/deps
$(DEPROOT)/created: $(OBJROOT)/created
	$(VQ)echo "   MKDIR: $(DEPROOT)"
	$(Q)$(MKDIR) $(DEPROOT)
	$(Q)$(TOUCH) $(DEPROOT)/created

WARNFLAGS = -W -Wall -Wundef -Wpointer-arith \
	-Wcast-align -Wwrite-strings -Wstrict-prototypes \
	-Wmissing-prototypes -Wmissing-declarations -Wredundant-decls \
	-Wnested-externs -Winline -Wno-unused-parameter -Wuninitialized

CLEANS := clean-target

include Makefile.sources

OBJECTS := $(sort $(addprefix $(OBJROOT)/,$(subst /,_,$(patsubst %.c,%.o,$(patsubst %.s,%.o,$(SOURCES))))))

$(EXETARGET): $(OBJECTS)
	$(VQ)echo "    LINK: $(EXETARGET)"
ifneq ($(TARGET)$(SUBTARGET),riscos-elf)
	$(Q)$(CC) -o $(EXETARGET) $(OBJECTS) $(LDFLAGS)
else
	$(Q)$(CC) -o $(EXETARGET:,ff8=,e1f) $(OBJECTS) $(LDFLAGS)
	$(Q)$(ELF2AIF) $(EXETARGET:,ff8=,e1f) $(EXETARGET)
	$(Q)$(RM) $(EXETARGET:,ff8=,e1f)
endif

clean-target:
	$(VQ)echo "   CLEAN: $(EXETARGET)"
	$(Q)$(RM) $(EXETARGET)

clean-builddir:
	$(VQ)echo "   CLEAN: $(OBJROOT)"
	$(Q)$(RM) -r $(OBJROOT)
CLEANS += clean-builddir

all-program: $(EXETARGET)

.SUFFIXES:

DEPFILES :=
# Now some macros which build the make system

# 1 = Source file
# 2 = dep filename, no prefix
# 3 = obj filename, no prefix
define dependency_generate_c
DEPFILES += $(2)
$$(DEPROOT)/$(2): $$(DEPROOT)/created $(1) css/css_enum.h css/parser.h
	$$(VQ)echo "     DEP: $(1)"
	$$(Q)$$(RM) $$(DEPROOT)/$(2)
	$$(Q)$$(CC) $$(CFLAGS) -MM -MT '$$(DEPROOT)/$2 $$(OBJROOT)/$(3)' \
		    -MF $$(DEPROOT)/$(2) $(1)

endef

# 1 = Source file
# 2 = dep filename, no prefix
# 3 = obj filename, no prefix
define dependency_generate_s
DEPFILES += $(2)
$$(DEPROOT)/$(2): $$(DEPROOT)/created $(1)
	$$(VQ)echo "     DEP: $(1)"
	$$(Q)$$(RM) $$(DEPROOT)/$(2)
	$$(Q)$$(CC) $$(CFLAGS) -MM -MT '$$(DEPROOT)/$2 $$(OBJROOT)/$(3)' \
		    -MF $$(DEPROOT)/$(2) $(1)

endef

# 1 = Source file
# 2 = obj filename, no prefix
# 3 = dep filename, no prefix
define compile_target_c
$$(OBJROOT)/$(2): $$(OBJROOT)/created $$(DEPROOT)/$(3)
	$$(VQ)echo " COMPILE: $(1)"
	$$(Q)$$(CC) $$(CFLAGS) -o $$@ -c $(1)

endef

# 1 = Source file
# 2 = obj filename, no prefix
# 3 = dep filename, no prefix
define compile_target_s
$$(OBJROOT)/$(2): $$(OBJROOT)/created
	$$(VQ)echo " ASSEMBLE: $(1)"
	$$(Q)$$(CC) $$(ASFLAGS) -o $$@ -c $(1)

endef

# Rules to construct dep lines for each object...
$(eval $(foreach SOURCE,$(filter %.c,$(SOURCES)), \
	$(call dependency_generate_c,$(SOURCE),$(subst /,_,$(SOURCE:.c=.d)),$(subst /,_,$(SOURCE:.c=.o)))))

# Cannot currently generate dep files for S files because they're objasm
# when we move to gas format, we will be able to.

#$(eval $(foreach SOURCE,$(filter %.s,$(SOURCES)), \
#	$(call dependency_generate_s,$(SOURCE),$(subst /,_,$(SOURCE:.s=.d)),$(subst /,_,$(SOURCE:.s=.o)))))

ifneq ($(MAKECMDGOALS),clean)
-include $(sort $(addprefix $(DEPROOT)/,$(DEPFILES)))
endif

# And rules to build the objects themselves...

$(eval $(foreach SOURCE,$(filter %.c,$(SOURCES)), \
	$(call compile_target_c,$(SOURCE),$(subst /,_,$(SOURCE:.c=.o)),$(subst /,_,$(SOURCE:.c=.d)))))

$(eval $(foreach SOURCE,$(filter %.s,$(SOURCES)), \
	$(call compile_target_s,$(SOURCE),$(subst /,_,$(SOURCE:.s=.o)),$(subst /,_,$(SOURCE:.s=.d)))))


clean: $(CLEANS)

docs:
	doxygen Docs/Doxyfile

## netsurf 2.7

=== Makefile ===
TMP_PREFIX = $(CURDIR)/prefix
export PKG_CONFIG_PATH = $(TMP_PREFIX)/lib/pkgconfig
export TARGET=gtk

.PHONY: build install clean sources

build: $(TMP_PREFIX)/build-stamp

$(TMP_PREFIX)/build-stamp:
	mkdir -p $(TMP_PREFIX)/include
	mkdir -p $(TMP_PREFIX)/lib
	make install --directory=libparserutils-0.1.0 TARGET=$(TARGET) PREFIX=$(TMP_PREFIX) DESTDIR=
	make install --directory=libwapcaplet-0.1.0 TARGET=$(TARGET) PREFIX=$(TMP_PREFIX) DESTDIR=
	make install --directory=libcss-0.1.0 TARGET=$(TARGET) PREFIX=$(TMP_PREFIX) DESTDIR=
	make install --directory=hubbub-0.1.0 TARGET=$(TARGET) PREFIX=$(TMP_PREFIX) DESTDIR=
	make install --directory=libnsbmp-0.0.3 TARGET=$(TARGET) PREFIX=$(TMP_PREFIX) DESTDIR=
	make install --directory=libnsgif-0.0.3 TARGET=$(TARGET) PREFIX=$(TMP_PREFIX) DESTDIR=
	make --directory=netsurf-2.7 TARGET=$(TARGET)
	touch $@

install: $(TMP_PREFIX)/build-stamp
	make install --directory=netsurf-2.7 TARGET=$(TARGET) PREFIX=$(PREFIX) DESTDIR=$(DESTDIR)

clean:
	rm -rf $(TMP_PREFIX)
	make distclean --directory=libparserutils-0.1.0 TARGET=$(TARGET)
	make distclean --directory=libwapcaplet-0.1.0 TARGET=$(TARGET)
	make distclean --directory=libcss-0.1.0 TARGET=$(TARGET)
	make distclean --directory=hubbub-0.1.0 TARGET=$(TARGET)
	make distclean --directory=libnsbmp-0.0.3 TARGET=$(TARGET)
	make distclean --directory=libnsgif-0.0.3 TARGET=$(TARGET)
	make clean --directory=netsurf-2.7 TARGET=$(TARGET)

sources:
	svn export svn://svn.netsurf-browser.org/tags/libparserutils/0.1.0 libparserutils-0.1.0
	svn export svn://svn.netsurf-browser.org/tags/libwapcaplet/0.1.0 libwapcaplet-0.1.0
	svn export svn://svn.netsurf-browser.org/tags/libcss/0.1.0 libcss-0.1.0
	svn export svn://svn.netsurf-browser.org/tags/hubbub/0.1.0 hubbub-0.1.0
	svn export svn://svn.netsurf-browser.org/tags/libnsbmp/0.0.3 libnsbmp-0.0.3
	svn export svn://svn.netsurf-browser.org/tags/libnsgif/0.0.3 libnsgif-0.0.3
	svn export svn://svn.netsurf-browser.org/tags/netsurf/2.7 netsurf-2.7

=== hubbub-0.1.0/Makefile ===
# Component settings
COMPONENT := hubbub
COMPONENT_VERSION := 0.1.0
# Default to a static library
COMPONENT_TYPE ?= lib-static

# Setup the tooling
include build/makefiles/Makefile.tools

TESTRUNNER := $(PERL) build/testtools/testrunner.pl

# Toolchain flags
WARNFLAGS := -Wall -W -Wundef -Wpointer-arith -Wcast-align \
	-Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes \
	-Wmissing-declarations -Wnested-externs -pedantic
# BeOS/Haiku have standard library errors that issue warnings.
ifneq ($(TARGET),beos)
  WARNFLAGS := $(WARNFLAGS) -Werror
endif
CFLAGS := -D_BSD_SOURCE -I$(CURDIR)/include/ \
	-I$(CURDIR)/src $(WARNFLAGS) $(CFLAGS)
ifneq ($(GCCVER),2)
  CFLAGS := $(CFLAGS) -std=c99
else
  # __inline__ is a GCCism
  CFLAGS := $(CFLAGS) -Dinline="__inline__"
endif

# Parserutils
ifneq ($(findstring clean,$(MAKECMDGOALS)),clean)
  ifneq ($(PKGCONFIG),)
    CFLAGS := $(CFLAGS) $(shell $(PKGCONFIG) libparserutils --cflags)
    LDFLAGS := $(LDFLAGS) $(shell $(PKGCONFIG) libparserutils --libs)
  else
    CFLAGS := $(CFLAGS) -I$(PREFIX)/include
    LDFLAGS := $(LDFLAGS) -lparserutils
  endif
endif

include build/makefiles/Makefile.top

ifeq ($(WANT_TEST),yes)
  # We require the presence of libjson -- http://oss.metaparadigm.com/json-c/
  ifneq ($(PKGCONFIG),)
    TESTCFLAGS := $(TESTCFLAGS) \
		$(shell $(PKGCONFIG) $(PKGCONFIGFLAGS) --cflags json)
    TESTLDFLAGS := $(TESTLDFLAGS) \
		$(shell $(PKGCONFIG) $(PKGCONFIGFLAGS) --libs json)
  else
    TESTCFLAGS := $(TESTCFLAGS) -I$(PREFIX)/include/json
    TESTLDFLAGS := $(TESTLDFLAGS) -ljson
  endif

  ifneq ($(GCCVER),2)
    TESTCFLAGS := $(TESTCFLAGS) -Wno-unused-parameter
  endif
endif

# Extra installation rules
I := /include/hubbub
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):include/hubbub/errors.h
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):include/hubbub/functypes.h
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):include/hubbub/hubbub.h
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):include/hubbub/parser.h
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):include/hubbub/tree.h
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):include/hubbub/types.h
INSTALL_ITEMS := $(INSTALL_ITEMS) /lib/pkgconfig:lib$(COMPONENT).pc.in
INSTALL_ITEMS := $(INSTALL_ITEMS) /lib:$(OUTPUT)

=== libcss-0.1.0/Makefile ===
# Component settings
COMPONENT := css
COMPONENT_VERSION := 0.1.0
# Default to a static library
COMPONENT_TYPE ?= lib-static

# Setup the tooling
include build/makefiles/Makefile.tools

TESTRUNNER := $(PERL) build/testtools/testrunner.pl

# Toolchain flags
WARNFLAGS := -Wall -W -Wundef -Wpointer-arith -Wcast-align \
	-Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes \
	-Wmissing-declarations -Wnested-externs -pedantic
# BeOS/Haiku/AmigaOS4 standard library headers create warnings
ifneq ($(TARGET),beos)
  ifneq ($(TARGET),amiga)
    WARNFLAGS := $(WARNFLAGS) -Werror
  endif
endif
CFLAGS := -D_BSD_SOURCE -I$(CURDIR)/include/ \
	-I$(CURDIR)/src $(WARNFLAGS) $(CFLAGS)
ifneq ($(GCCVER),2)
  CFLAGS := $(CFLAGS) -std=c99
else
  # __inline__ is a GCCism
  CFLAGS := $(CFLAGS) -Dinline="__inline__"
endif

# Parserutils & wapcaplet
ifneq ($(PKGCONFIG),)
  CFLAGS := $(CFLAGS) $(shell $(PKGCONFIG) libparserutils libwapcaplet --cflags)
  LDFLAGS := $(LDFLAGS) $(shell $(PKGCONFIG) libparserutils libwapcaplet --libs)
else
  CFLAGS := $(CFLAGS) -I$(PREFIX)/include
  LDFLAGS := $(LDFLAGS) -lparserutils -lwapcaplet
endif

include build/makefiles/Makefile.top

# Extra installation rules
I := /include/libcss

INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):include/libcss/computed.h
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):include/libcss/errors.h
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):include/libcss/fpmath.h
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):include/libcss/functypes.h
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):include/libcss/hint.h
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):include/libcss/libcss.h
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):include/libcss/properties.h
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):include/libcss/select.h
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):include/libcss/stylesheet.h
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):include/libcss/types.h
INSTALL_ITEMS := $(INSTALL_ITEMS) /lib/pkgconfig:lib$(COMPONENT).pc.in
INSTALL_ITEMS := $(INSTALL_ITEMS) /lib:$(OUTPUT)

=== libparserutils-0.1.0/Makefile ===
# Component settings
COMPONENT := parserutils
COMPONENT_VERSION := 0.1.0
# Default to a static library
COMPONENT_TYPE ?= lib-static

# Setup the tooling
include build/makefiles/Makefile.tools

TESTRUNNER := $(PERL) build/testtools/testrunner.pl

# Toolchain flags
WARNFLAGS := -Wall -W -Wundef -Wpointer-arith -Wcast-align \
	-Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes \
	-Wmissing-declarations -Wnested-externs -pedantic
# BeOS/Haiku standard library headers create warnings.
ifneq ($(TARGET),beos)
  WARNFLAGS := $(WARNFLAGS) -Werror
endif

CFLAGS := -D_BSD_SOURCE -I$(CURDIR)/include/ \
	-I$(CURDIR)/src $(WARNFLAGS) $(CFLAGS)
ifneq ($(GCCVER),2)
  CFLAGS := $(CFLAGS) -std=c99
else
  # __inline__ is a GCCism
  CFLAGS := $(CFLAGS) -Dinline="__inline__"
endif

include build/makefiles/Makefile.top

# Extra installation rules
Is := include/parserutils
I := /include/parserutils
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):$(Is)/errors.h;$(Is)/functypes.h;$(Is)/parserutils.h;$(Is)/types.h

Is := include/parserutils/charset
I := /include/parserutils/charset
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):$(Is)/codec.h;$(Is)/mibenum.h;$(Is)/utf16.h;$(Is)/utf8.h

Is := include/parserutils/input
I := /include/parserutils/input
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):$(Is)/inputstream.h

Is := include/parserutils/utils
I := /include/parserutils/utils
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):$(Is)/buffer.h;$(Is)/stack.h;$(Is)/vector.h

INSTALL_ITEMS := $(INSTALL_ITEMS) /lib/pkgconfig:lib$(COMPONENT).pc.in
INSTALL_ITEMS := $(INSTALL_ITEMS) /lib:$(OUTPUT)

=== libwapcaplet-0.1.0/Makefile ===
# Component settings
COMPONENT := wapcaplet
COMPONENT_VERSION := 0.1.0
# Default to a static library
COMPONENT_TYPE ?= lib-static

# Setup the tooling
include build/makefiles/Makefile.tools

# Reevaluate when used, as BUILDDIR won't be defined yet
TESTRUNNER = $(BUILDDIR)/test_testrunner$(EXEEXT)

# Toolchain flags
WARNFLAGS := -Wall -W -Wundef -Wpointer-arith -Wcast-align \
	-Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes \
	-Wmissing-declarations -Wnested-externs -pedantic
# BeOS/Haiku standard library headers issue warnings
ifneq ($(TARGET),beos)
  WARNFLAGS := $(WARNFLAGS) -Werror
endif
CFLAGS := -D_BSD_SOURCE -I$(CURDIR)/include/ \
	-I$(CURDIR)/src $(WARNFLAGS) $(CFLAGS)
ifneq ($(GCCVER),2)
  CFLAGS := $(CFLAGS) -std=c99
else
  # __inline__ is a GCCism
  CFLAGS := $(CFLAGS) -Dinline="__inline__"
endif

include build/makefiles/Makefile.top

ifeq ($(WANT_TEST),yes)
  ifneq ($(PKGCONFIG),)
    TESTCFLAGS := $(TESTCFLAGS) $(shell $(PKGCONFIG) --cflags check)
    TESTLDFLAGS := $(TESTLDFLAGS) $(shell $(PKGCONFIG) --libs check)
  else
    TESTLDFLAGS := $(TESTLDFLAGS) -lcheck
  endif
endif

# Extra installation rules
I := /include/libwapcaplet
INSTALL_ITEMS := $(INSTALL_ITEMS) $(I):include/libwapcaplet/libwapcaplet.h
INSTALL_ITEMS := $(INSTALL_ITEMS) /lib/pkgconfig:lib$(COMPONENT).pc.in
INSTALL_ITEMS := $(INSTALL_ITEMS) /lib:$(OUTPUT)

=== netsurf-2.7/Makefile ===
#
# Makefile for NetSurf
#
# Copyright 2007 Daniel Silverstone <dsilvers@netsurf-browser.org>
# Copyright 2008 Rob Kendrick <rjek@netsurf-browser.org>
#
# Trivially, invoke as:
#   make
# to build native, or:
#   make TARGET=riscos
# to cross-build for RO.
#
# Look at Makefile.config for configuration options.
#
# Tested on unix platforms (building for GTK and cross-compiling for RO) and
# on RO (building for RO).
#
# To clean, invoke as above, with the 'clean' target
#
# To build developer Doxygen generated documentation, invoke as above,
# with the 'docs' target:
#   make docs
#

all: all-program

# Determine host type
# NOTE: HOST determination on RISC OS could fail because of missing bug fixes
#	in UnixLib which only got addressed in UnixLib 5 / GCCSDK 4.
#	When you don't have 'uname' available, you will see:
#	  File 'uname' not found
#	When you do and using a 'uname' compiled with a buggy UnixLib, you
#	will see the following printed on screen:
#	  RISC OS
#	In both cases HOST make variable is empty and we recover from that by
#	assuming we're building on RISC OS.
#	In case you don't see anything printed (including the warning), you
#	have an up-to-date RISC OS build system. ;-)
HOST := $(shell uname -s)
ifeq ($(HOST),)
  HOST := riscos
  $(warning Build platform determination failed but that's a known problem for RISC OS so we're assuming a native RISC OS build.)
else
  ifeq ($(HOST),RISC OS)
    # Fixup uname -s returning "RISC OS"
    HOST := riscos
  endif
endif

ifeq ($(HOST),riscos)
  # Build happening on RO platform, default target is RO backend
  ifeq ($(TARGET),)
    TARGET := riscos
  endif
else
  ifeq ($(HOST),BeOS)
    HOST := beos
  endif
  ifeq ($(HOST),Haiku)
    # Haiku implements the BeOS API
    HOST := beos
  endif
  ifeq ($(HOST),beos)
    # Build happening on BeOS platform, default target is BeOS backend
    ifeq ($(TARGET),)
      TARGET := beos
    endif
    # BeOS still uses gcc2
    GCCVER := 2
  else
    ifeq ($(HOST),AmigaOS)
      HOST := amiga
      ifeq ($(TARGET),)
        TARGET := amiga
      endif
    else
      ifeq ($(HOST),Darwin)
        HOST := macosx
        ifeq ($(TARGET),)
          TARGET := cocoa
        endif
      endif  
      ifeq ($(HOST),FreeMiNT)
        HOST := mint
      endif
      ifeq ($(HOST),mint)
        ifeq ($(TARGET),)
          TARGET := atari
        endif
      endif
      ifeq ($(findstring MINGW,$(HOST)),MINGW)
        # MSYS' uname reports the likes of "MINGW32_NT-6.0"
        HOST := windows
      endif
      ifeq ($(HOST),windows)
        ifeq ($(TARGET),)
          TARGET := windows
        endif
      endif

      # Default target is GTK backend
      ifeq ($(TARGET),)
        TARGET := gtk
      endif
    endif
  endif
endif
SUBTARGET =
RESOURCES =

ifneq ($(TARGET),riscos)
  ifneq ($(TARGET),gtk)
    ifneq ($(TARGET),beos)
      ifneq ($(findstring amiga,$(TARGET)),amiga)
        ifneq ($(TARGET),framebuffer)
          ifneq ($(TARGET),windows)
            ifneq ($(TARGET),atari)
              ifneq ($(TARGET),cocoa)
                ifneq ($(TARGET),monkey)
                  $(error Unknown TARGET "$(TARGET)", should either be "riscos", "gtk", "beos", "amiga", "framebuffer", "windows", "atari" or "cocoa" or "monkey")
                endif
              endif
            endif
          endif
        endif
      endif
    endif
  endif
endif

Q=@
VQ=@
PERL=perl
MKDIR=mkdir
TOUCH=touch
STRIP=strip

# Override this only if the host compiler is called something different
HOST_CC := gcc

ifeq ($(TARGET),riscos)
  ifeq ($(HOST),riscos)
    # Build for RO on RO
    GCCSDK_INSTALL_ENV := <NSLibs$$Dir>
    CCRES := ccres
    TPLEXT :=
    MAKERUN := makerun
    RUNEXT :=
    CC := gcc
    EXEEXT :=
    PKG_CONFIG :=
  else
    # Cross-build for RO (either using GCCSDK 3.4.6 - AOF,
    # either using GCCSDK 4 - ELF)
    ifeq ($(origin GCCSDK_INSTALL_ENV),undefined)
      ifneq ($(realpath /opt/netsurf/arm-unknown-riscos/env),)
        GCCSDK_INSTALL_ENV := /opt/netsurf/arm-unknown-riscos/env
      else
        GCCSDK_INSTALL_ENV := /home/riscos/env
      endif
    endif

    ifeq ($(origin GCCSDK_INSTALL_CROSSBIN),undefined)
      ifneq ($(realpath /opt/netsurf/arm-unknown-riscos/cross/bin),)
        GCCSDK_INSTALL_CROSSBIN := /opt/netsurf/arm-unknown-riscos/cross/bin
      else
        GCCSDK_INSTALL_CROSSBIN := /home/riscos/cross/bin
      endif
    endif

    CCRES := $(GCCSDK_INSTALL_CROSSBIN)/ccres
    TPLEXT := ,fec
    MAKERUN := $(GCCSDK_INSTALL_CROSSBIN)/makerun
    RUNEXT := ,feb
    CC := $(wildcard $(GCCSDK_INSTALL_CROSSBIN)/*gcc)
    ifneq (,$(findstring arm-unknown-riscos-gcc,$(CC)))
      SUBTARGET := -elf
      EXEEXT := ,e1f
      ELF2AIF := $(GCCSDK_INSTALL_CROSSBIN)/elf2aif
    else
     SUBTARGET := -aof
     EXEEXT := ,ff8
    endif
    PKG_CONFIG := $(GCCSDK_INSTALL_ENV)/ro-pkg-config
    CCACHE := $(shell which ccache)
    ifneq ($(CCACHE),)
      CC := $(CCACHE) $(CC)
    endif
  endif
else
  ifeq ($(TARGET),beos)
    # Building for BeOS/Haiku
    #ifeq ($(HOST),beos)
      # Build for BeOS on BeOS
      GCCSDK_INSTALL_ENV := /boot/develop
      CC := gcc
      CXX := g++
      EXEEXT :=
      PKG_CONFIG :=
    #endif
  else
    ifeq ($(TARGET),windows)
      ifneq ($(HOST),windows)
        # Set Mingw defaults
	MINGW_PREFIX ?= i586-mingw32msvc-
	MINGW_INSTALL_ENV ?= /usr/i586-mingw32msvc/

        # mingw cross-compile
        CC := $(MINGW_PREFIX)gcc
        PKG_CONFIG := $(MINGW_INSTALL_ENV)/bin/pkg-config
      else
        # Building on Windows
        CC := gcc
        PKG_CONFIG :=
      endif
    else
      ifeq ($(findstring amiga,$(TARGET)),amiga)
        ifneq ($(findstring amiga,$(HOST)),amiga)
          ifeq ($(TARGET),amigaos3)
            GCCSDK_INSTALL_ENV ?= /opt/netsurf/m68k-unknown-amigaos/env
            GCCSDK_INSTALL_CROSSBIN ?= /opt/netsurf/m68k-unknown-amigaos/cross/bin

            SUBTARGET = os3
          else
            GCCSDK_INSTALL_ENV ?= /opt/netsurf/ppc-amigaos/env
            GCCSDK_INSTALL_CROSSBIN ?= /opt/netsurf/ppc-amigaos/cross/bin
          endif

          override TARGET := amiga

          CC := $(wildcard $(GCCSDK_INSTALL_CROSSBIN)/*gcc)

          PKG_CONFIG := PKG_CONFIG_LIBDIR="$(GCCSDK_INSTALL_ENV)/lib/pkgconfig" pkg-config
        endif
      else
        # Building for GTK, Framebuffer, Atari
        PKG_CONFIG := pkg-config
      endif
    endif
  endif
endif

# Target paths

OBJROOT = build-$(HOST)-$(TARGET)$(SUBTARGET)
DEPROOT := $(OBJROOT)/deps
TOOLROOT := $(OBJROOT)/tools


# 1: Feature name (ie, NETSURF_USE_BMP -> BMP)
# 2: Parameters to add to CFLAGS
# 3: Parameters to add to LDFLAGS
# 4: Human-readable name for the feature
define feature_enabled
  ifeq ($$(NETSURF_USE_$(1)),YES)
    CFLAGS += $(2)
    LDFLAGS += $(3)
    ifneq ($(MAKECMDGOALS),clean)
      $$(info M.CONFIG: $(4)	enabled       (NETSURF_USE_$(1) := YES))
    endif
  else ifeq ($$(NETSURF_USE_$(1)),NO)
    ifneq ($(MAKECMDGOALS),clean)
      $$(info M.CONFIG: $(4)	disabled      (NETSURF_USE_$(1) := NO))
    endif
  else
    $$(info M.CONFIG: $(4)	error         (NETSURF_USE_$(1) := $$(NETSURF_USE_$(1))))
    $$(error NETSURF_USE_$(1) must be YES or NO)
  endif
endef

# 1: Feature name (ie, NETSURF_USE_RSVG -> RSVG)
# 2: pkg-config required modules for feature
# 3: Human-readable name for the feature
define pkg_config_find_and_add
  ifeq ($$(PKG_CONFIG),)
    $$(error pkg-config is required to auto-detect feature availability)
  endif

  NETSURF_FEATURE_$(1)_AVAILABLE := $$(shell $$(PKG_CONFIG) --exists $(2) && echo yes)

  ifeq ($$(NETSURF_USE_$(1)),YES)
    ifeq ($$(NETSURF_FEATURE_$(1)_AVAILABLE),yes)
      CFLAGS += $$(shell $$(PKG_CONFIG) --cflags $(2)) $$(NETSURF_FEATURE_$(1)_CFLAGS)
      LDFLAGS += $$(shell $$(PKG_CONFIG) --libs $(2)) $$(NETSURF_FEATURE_$(1)_LDFLAGS)
      ifneq ($(MAKECMDGOALS),clean)
        $$(info M.CONFIG: $(3) ($(2))	enabled       (NETSURF_USE_$(1) := YES))
      endif
    else
      $$(info M.CONFIG: $(3) ($(2))	failed        (NETSURF_USE_$(1) := YES))
      $$(error Unable to find library for: $(3) ($(2)))
    endif
  else ifeq ($$(NETSURF_USE_$(1)),AUTO)
    ifeq ($$(NETSURF_FEATURE_$(1)_AVAILABLE),yes)
      CFLAGS += $$(shell $$(PKG_CONFIG) --cflags $(2)) $$(NETSURF_FEATURE_$(1)_CFLAGS)
      LDFLAGS += $$(shell $$(PKG_CONFIG) --libs $(2)) $$(NETSURF_FEATURE_$(1)_LDFLAGS)
      ifneq ($(MAKECMDGOALS),clean)
        $$(info M.CONFIG: $(3) ($(2))	auto-enabled  (NETSURF_USE_$(1) := AUTO))
      endif
    else
      ifneq ($(MAKECMDGOALS),clean)
        $$(info M.CONFIG: $(3) ($(2))	auto-disabled (NETSURF_USE_$(1) := AUTO))
      endif
    endif
  else ifeq ($$(NETSURF_USE_$(1)),NO)
    ifneq ($(MAKECMDGOALS),clean)
      $$(info M.CONFIG: $(3) ($(2))	disabled      (NETSURF_USE_$(1) := NO))
    endif
  else
    $$(info M.CONFIG: $(3) ($(2))	error         (NETSURF_USE_$(1) := $$(NETSURF_USE_$(1))))
    $$(error NETSURF_USE_$(1) must be YES, NO, or AUTO)
  endif
endef

# ----------------------------------------------------------------------------
# General flag setup
# ----------------------------------------------------------------------------

# Set up the WARNFLAGS here so that they can be overridden in the Makefile.config
WARNFLAGS = -W -Wall -Wundef -Wpointer-arith \
	-Wcast-align -Wwrite-strings -Wstrict-prototypes \
	-Wmissing-prototypes -Wmissing-declarations -Wredundant-decls \
	-Wnested-externs
ifneq ($(GCCVER),2)
  WARNFLAGS += -Wno-unused-parameter 
endif

# Pull in the configuration
include Makefile.defaults

$(eval $(call feature_enabled,JPEG,-DWITH_JPEG,-ljpeg,JPEG (libjpeg)))
$(eval $(call feature_enabled,MNG,-DWITH_MNG,-lmng,JNG/MNG/PNG (libmng)))

$(eval $(call feature_enabled,HARU_PDF,-DWITH_PDF_EXPORT,-lhpdf -lpng,PDF export (haru)))
$(eval $(call feature_enabled,LIBICONV_PLUG,-DLIBICONV_PLUG,,glibc internal iconv))

# common libraries without pkg-config support
LDFLAGS += -lz

CFLAGS += -DNETSURF_UA_FORMAT_STRING=\"$(NETSURF_UA_FORMAT_STRING)\"
CFLAGS += -DNETSURF_HOMEPAGE=\"$(NETSURF_HOMEPAGE)\"


# ----------------------------------------------------------------------------
# General make rules
# ----------------------------------------------------------------------------

$(OBJROOT)/created:
	$(VQ)echo "   MKDIR: $(OBJROOT)"
	$(Q)$(MKDIR) $(OBJROOT)
	$(Q)$(TOUCH) $(OBJROOT)/created

$(DEPROOT)/created: $(OBJROOT)/created
	$(VQ)echo "   MKDIR: $(DEPROOT)"
	$(Q)$(MKDIR) $(DEPROOT)
	$(Q)$(TOUCH) $(DEPROOT)/created

$(TOOLROOT)/created: $(OBJROOT)/created
	$(VQ)echo "   MKDIR: $(TOOLROOT)"
	$(Q)$(MKDIR) $(TOOLROOT)
	$(Q)$(TOUCH) $(TOOLROOT)/created

CLEANS := clean-target clean-testament

POSTEXES :=

# ----------------------------------------------------------------------------
# General source file setup
# ----------------------------------------------------------------------------

include Makefile.sources

# ----------------------------------------------------------------------------
# Target specific setup
# ----------------------------------------------------------------------------

include $(TARGET)/Makefile.target

# ----------------------------------------------------------------------------
# Source file setup
# ----------------------------------------------------------------------------

ifeq ($(SOURCES),)
$(error Unable to build NetSurf, could not determine set of sources to build)
endif

OBJECTS := $(sort $(addprefix $(OBJROOT)/,$(subst /,_,$(patsubst %.c,%.o,$(patsubst %.cpp,%.o,$(patsubst %.m,%.o,$(patsubst %.s,%.o,$(SOURCES))))))))

$(EXETARGET): $(OBJECTS) $(RESOURCES)
	$(VQ)echo "    LINK: $(EXETARGET)"
ifneq ($(TARGET)$(SUBTARGET),riscos-elf)
	$(Q)$(CC) -o $(EXETARGET) $(OBJECTS) $(LDFLAGS)
else
	$(Q)$(CC) -o $(EXETARGET:,ff8=,e1f) $(OBJECTS) $(LDFLAGS)
	$(Q)$(ELF2AIF) $(EXETARGET:,ff8=,e1f) $(EXETARGET)
	$(Q)$(RM) $(EXETARGET:,ff8=,e1f)
endif
ifeq ($(TARGET),windows)
	$(Q)$(TOUCH) windows/res/preferences
endif
ifeq ($(TARGET),gtk)
	$(Q)$(TOUCH) gtk/res/toolbarIndices
endif

=== netsurf-2.7/test/Makefile ===
CFLAGS := -std=c99 -g -O0 -D_BSD_SOURCE -D_POSIX_C_SOURCE -I.. \
		`pkg-config --cflags libxml-2.0 libcurl`
LDFLAGS := `pkg-config --libs libxml-2.0 libcurl`

llcache_CFLAGS := `pkg-config --cflags libparserutils libwapcaplet`
llcache_LDFLAGS := `pkg-config --libs libparserutils libwapcaplet`

llcache_SRCS := content/fetch.c content/fetchers/fetch_curl.c \
		content/fetchers/fetch_data.c content/llcache.c \
		content/urldb.c desktop/options.c desktop/version.c \
		utils/base64.c utils/hashtable.c utils/log.c \
		utils/messages.c utils/url.c utils/useragent.c utils/utf8.c \
		utils/utils.c test/llcache.c

urldbtest_SRCS := content/urldb.c utils/url.c utils/utils.c utils/log.c \
		utils/messages.c utils/hashtable.c utils/filename.c \
		test/urldbtest.c

urldbtest_CFLAGS := -O2
urldbtest_LDFLAGS :=

.PHONY: all

all: llcache urldbtest

llcache: $(addprefix ../,$(llcache_SRCS))
	$(CC) $(CFLAGS) $(llcache_CFLAGS) $^ -o $@ $(LDFLAGS) $(llcache_LDFLAGS)

urldbtest: $(addprefix ../,$(urldbtest_SRCS))
	$(CC) $(CFLAGS) $(urldbtest_CFLAGS) $^ -o $@ $(LDFLAGS) $(urldbtest_LDFLAGS)

.PHONY: clean

clean:
	$(RM) llcache urldbtest

=== libcss-0.1.0/src/select/Makefile ===
# Sources
DIR_SOURCES := computed.c dispatch.c hash.c select.c

include build/makefiles/Makefile.subdir

=== libcss-0.1.0/src/parse/properties/Makefile ===
# Sources
#	background.c 
#	border.c 
#	border_color.c 
# 	border_style.c 
# 	border_width.c 
# 	content.c 
# 	cue.c 
#	cursor.c 
# 	font.c 
#	font_family.c 
# 	list_style.c 
# 	margin.c 
# 	outline.c 
#	padding.c 
#	pause.c 
# 	play_during.c 
#	quotes.c 
# 	text_decoration.c 
# 	voice_family.c 

AUTOGEN_PARSERS := $(shell $(PERL) -pe'$$_="" unless /^([^\#][^:]+):/;$$_=$$1 . " "' $(DIR)properties.gen)

# Dodgy use of define/eval to bypass DIR changing
define build_gen_parser

$(BUILDDIR)/gen_parser: $(DIR)css_property_parser_gen.c
	$$(VQ)$$(ECHO) $$(ECHOFLAGS) " PREPARE: $$@"
	$$(Q)$$(HOST_CC) -o $$@ $$^

endef

$(eval $(build_gen_parser))

define gen_prop_parser

$(DIR)autogenerated_$1.c: $(DIR)properties.gen $(BUILDDIR)/gen_parser
	$$(VQ)$$(ECHO) $$(ECHOFLAGS) "GENERATE: $$@"
	$$(Q)$$(BUILDDIR)/gen_parser -o $$@ '$(shell $(GREP) "^$1:" $(DIR)properties.gen)'

AUTOGEN_SOURCES := $$(AUTOGEN_SOURCES) autogenerated_$1.c

endef

AUTOGEN_SOURCES :=

$(eval $(foreach PROP,$(AUTOGEN_PARSERS),$(call gen_prop_parser,$(PROP))))



DIR_SOURCES := azimuth.c text_decoration.c background.c			\
	background_position.c border_spacing.c font.c outline.c		\
	voice_family.c border_style.c cue.c				\
	font_family.c list_style.c padding.c cursor.c			\
	list_style_type.c pause.c border.c border_width.c margin.c	\
	play_during.c clip.c properties.c border_color.c content.c	\
	elevation.c font_weight.c quotes.c utils.c opacity.c

DIR_SOURCES := $(DIR_SOURCES) $(AUTOGEN_SOURCES)

PRE_TARGETS := $(foreach AP,$(AUTOGEN_PARSERS),src/parse/properties/autogenerated_$(AP).c)

DISTCLEAN_ITEMS := $(foreach AP,$(AUTOGEN_PARSERS),src/parse/properties/autogenerated_$(AP).c)

include build/makefiles/Makefile.subdir

=== libcss-0.1.0/src/select/properties/Makefile ===
# Sources
DIR_SOURCES := helpers.c \
azimuth.c \
background_attachment.c \
background_color.c \
background_image.c \
background_position.c \
background_repeat.c \
border_bottom_color.c \
border_bottom_style.c \
border_bottom_width.c \
border_collapse.c \
border_left_color.c \
border_left_style.c \
border_left_width.c \
border_right_color.c \
border_right_style.c \
border_right_width.c \
border_spacing.c \
border_top_color.c \
border_top_style.c \
border_top_width.c \
bottom.c \
caption_side.c \
clear.c \
clip.c \
color.c \
content.c \
counter_increment.c \
counter_reset.c \
cue_after.c \
cue_before.c \
cursor.c \
direction.c \
display.c \
elevation.c \
empty_cells.c \
float.c \
font_family.c \
font_size.c \
font_style.c \
font_variant.c \
font_weight.c \
height.c \
left.c \
letter_spacing.c \
line_height.c \
list_style_image.c \
list_style_position.c \
list_style_type.c \
margin_bottom.c \
margin_left.c \
margin_right.c \
margin_top.c \
max_height.c \
max_width.c \
min_height.c \
min_width.c \
opacity.c \
orphans.c \
outline_color.c \
outline_style.c \
outline_width.c \
overflow.c \
padding_bottom.c \
padding_left.c \
padding_right.c \
padding_top.c \
page_break_after.c \
page_break_before.c \
page_break_inside.c \
pause_after.c \
pause_before.c \
pitch.c \
pitch_range.c \
play_during.c \
position.c \
quotes.c \
richness.c \
right.c \
speach_rate.c \
speak.c \
speak_header.c \
speak_numeral.c \
speak_punctuation.c \
stress.c \
table_layout.c \
text_align.c \
text_decoration.c \
text_indent.c \
text_transform.c \
top.c \
unicode_bidi.c \
vertical_align.c \
visibility.c \
voice_family.c \
volume.c \
white_space.c \
width.c \
windows.c \
word_spacing.c \
z_index.c

include build/makefiles/Makefile.subdir

=== debian/changelog ===
netsurf (2.7-2ubuntu1) oneiric; urgency=low

  * Ignore warnings produced by gcc 4.6. Fixes FTBFS.
  * gtk-api.patch: from upstream, replace deprecated GTK functions. Fixes
    FTBFS on amd64.
  * Rebuild gets rid of binary dependency on libssl0.9.8.

 -- Ilya Barygin <barygin@gmail.com>  Sun, 21 Aug 2011 17:11:42 +0400

netsurf (2.7-2) unstable; urgency=low

  * Fix FTBFS on kFreeBSD
  * CSS page centering works in 2.7 (Closes: #577180)
  * String Serarching available (Closes: #435012)
  * Tab handling improved in 2.7 (Closes: #589424)

 -- Vincent Sanders <vince@debian.org>  Fri, 22 Apr 2011 10:50:37 +0100

netsurf (2.7-1) unstable; urgency=low

  * New upstream (Closes: #586662)
  * NetSurf no longer requires lemon to build (Closes: #574299)

 -- Vincent Sanders <vince@debian.org>  Tue, 19 Apr 2011 09:55:01 +0100

netsurf (2.1-2.1) unstable; urgency=low

  * NMU from Moenchengladbach BSP
  * Fixes FTBFS on kFreeBSD (Closes: #559479)

 -- Axel Beckert <abe@deuxchevaux.org>  Sat, 23 Jan 2010 19:14:01 +0100

netsurf (2.1-2) unstable; urgency=low

  * Add ttf-bitstream-vera to Depends: for framebuffer builds.
    (Closes: #539897)

 -- Daniel Silverstone <dsilvers@debian.org>  Sat, 15 Aug 2009 12:37:06 +0100

netsurf (2.1-1) unstable; urgency=low

  * New upstream release (Closes: #533463)
    - Now produces variants for linux framebuffer, VNC server and SDL,
      along with the SDL release from before.
    - Wikipedia CSS images now rendered properly (Closes: #434964)
    - Open File now bound to Control+O (Closes: #482755)
    - No longer asserts on huge box objects (Closes: #471719)
  
 -- Daniel Silverstone <dsilvers@debian.org>  Mon, 20 Jul 2009 10:30:48 +0200

netsurf (2.0-1) unstable; urgency=low

  * New upstream release

 -- Daniel Silverstone <dsilvers@debian.org>  Tue, 21 Apr 2009 22:58:52 +0100

netsurf (1.2-1) unstable; urgency=low

  * New upstream (Closes: #472599)
  * Fixes segfault (Closes: #442466)
  * Form input no longer confuses non-alphanumeric keys (Closes: #435319)
  * Blank lines in preformatted blocks are displayed correctly (Closes: #435013)

 -- Vincent Sanders <vince@debian.org>  Sat, 05 Apr 2008 00:48:41 +0000

netsurf (1.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing assert.h inclusion in css.h to fix FTBFS (Closes: #470248),
    thanks Kumar Appaiah for the patch.

 -- Nico Golde <nion@debian.org>  Wed, 19 Mar 2008 17:24:40 +0100

netsurf (1.1-2) unstable; urgency=low

  * Fix unusable select widget (Closes: #434963)
  * Add www-browser provides (Closes: #445376)
  * Fix memory cache size option.
  * Fix proxy option handling.
  * Fix out of bounds window scrolling.
  * Fix handling of CSS colour values.

 -- Vincent Sanders <vince@debian.org>  Sun, 07 Oct 2007 10:59:41 +0000

netsurf (1.1-1) unstable; urgency=low

  * New upstream (Closes: #435463, #437624)
  * Build against correct library packages (Closes: #433523)

 -- Vincent Sanders <vince@debian.org>  Tue, 14 Aug 2007 22:21:05 +0000

netsurf (1.0-1) unstable; urgency=low

  * Initial release (Closes: #427399)
  * Correct logging output verbosity control switch.
  * Corrected build to allow for source directory to be renamed.
  * Correct handling of file: URI when browsing directories.
  * Fix for crash when viewing sites with frames.
  * Fix for runaway cpu usage on sites with frames.
  * Fix for cookie handling.
  * Fix scrollbar handling for anchors.
  
 -- Vincent Sanders <vince@debian.org>  Sun,  3 Jun 2007 18:14:27 +0100

=== debian/control ===
Source: netsurf
Section: web
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Vincent Sanders <vince@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libglade2-dev, libcurl3-dev, libxml2-dev, libpng-dev, librsvg2-dev, liblcms1-dev, libjpeg-dev, imagemagick
Standards-Version: 3.9.1
Homepage: http://www.netsurf-browser.org
Vcs-Browser: http://source.netsurf-browser.org/

Package: netsurf
Architecture: all
Depends: ${misc:Depends}, netsurf-gtk
Provides: www-browser
Description: Small web browser with CSS - Transition package
 NetSurf is a multi-platform lightweight web browser. Its aim is to provide
 comprehensive rendering of HTML 5 with CSS 2 in a small resource footprint 
 while remaining fast. 
 .
 This package assists in the transition to the netsurf-gtk package

Package: netsurf-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: www-browser
Recommends: mime-support
Description: Small web browser with CSS support
 NetSurf is a multi-platform lightweight web browser. It aims to provide
 comprehensive rendering of HTML 5 with CSS 2  in a small resource footprint
 without compromising performance.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS += -Wno-error

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	convert netsurf-2.7/gtk/res/netsurf.xpm -resize \!32x\!32 debian/netsurf-gtk/usr/share/pixmaps/netsurf.xpm
	convert netsurf-2.7/gtk/res/netsurf.xpm debian/netsurf-gtk/usr/share/pixmaps/netsurf.png
	install -m 644 debian/netsurf-gtk.desktop debian/netsurf-gtk/usr/share/applications
